## libayatana-appindicator-glib 2.0.0~git20250307.66f8279

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (libayatana-appindicator-glib VERSION 2.0.0 LANGUAGES C)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option (ENABLE_TESTS "Enable all tests and checks" OFF)
option (ENABLE_WERROR "Treat all build warnings as errors" OFF)
option (ENABLE_COVERAGE "Enable coverage reports (enables all tests and checks)" OFF)

if (ENABLE_COVERAGE)
    set (ENABLE_TESTS ON)
    set (CMAKE_BUILD_TYPE "Coverage")
else()
    set (CMAKE_BUILD_TYPE "Release")
endif()

if (ENABLE_WERROR)
    add_definitions ("-Werror")
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions ("-Weverything")
else ()
    add_definitions ("-Wall")
endif ()

# Prerequisites

include (GNUInstallDirs)
find_package (PkgConfig REQUIRED)
pkg_check_modules (DEPS REQUIRED gio-2.0 gobject-2.0)

# Build

add_subdirectory (src)
add_subdirectory (bindings)
add_subdirectory (doc)

if (ENABLE_TESTS)
    include (CTest)
    enable_testing ()
    add_subdirectory (tests)
    add_subdirectory (examples)

    if (ENABLE_COVERAGE)
        find_package (CoverageReport)
        ENABLE_COVERAGE_REPORT (TARGETS "ayatana-appindicator" TESTS "test-libappindicator" "test-libappindicator-dbus-client" "test-libappindicator-dbus-server" "test-libappindicator-status-client" "test-libappindicator-status-server" FILTER /usr/include ${CMAKE_BINARY_DIR}/*)
    endif ()
endif ()

# Info

message (STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS "Build with -Werror: ${ENABLE_WERROR}")
message (STATUS "Unit tests: ${ENABLE_TESTS}")

=== src/CMakeLists.txt ===
set (
    SOURCES
    ayatana-appindicator.c
    ayatana-appindicator-enum-types.c
    application-service-marshal.c
)

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-appindicator-glib")

# ayatana-appindicator-glib.pc

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator-glib.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-glib.pc" @ONLY)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-glib.pc" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig")

# ayatana-appindicator-enum-types.h

find_program(GLIB_MKENUMS glib-mkenums)

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-enum-types.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template ayatana-appindicator-enum-types.h.in
    ayatana-appindicator.h
    --output="${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-enum-types.h"
)

install (FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-enum-types.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-appindicator-glib")

# ayatana-appindicator-enum-types.c

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-enum-types.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-enum-types.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template ayatana-appindicator-enum-types.c.in
    ayatana-appindicator.h
    --output="${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-enum-types.c"
)

find_program (GLIB_GENMARSHAL glib-genmarshal)

# application-service-marshal.h

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-enum-types.c"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_application_service_marshal
    --header application-service-marshal.list
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
)

# application-service-marshal.c

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_application_service_marshal
    --body application-service-marshal.list
    --include-header=application-service-marshal.h
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.c"
)

# libayatana-appindicator-glib.so

add_library ("ayatana-appindicator-glib" SHARED ${SOURCES})
set_target_properties ("ayatana-appindicator-glib" PROPERTIES VERSION 2.0.0 SOVERSION 2)
target_compile_definitions ("ayatana-appindicator-glib" PUBLIC G_LOG_DOMAIN="libayatana-appindicator-glib" SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories ("ayatana-appindicator-glib" PUBLIC ${DEPS_INCLUDE_DIRS})
target_include_directories ("ayatana-appindicator-glib" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories ("ayatana-appindicator-glib" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries ("ayatana-appindicator-glib" ${DEPS_LIBRARIES})
target_link_options ("ayatana-appindicator-glib" PRIVATE "LINKER:--version-script=${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator.symbols")
install (TARGETS "ayatana-appindicator-glib" LIBRARY DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")

# AyatanaAppIndicatorGlib-2.0.gir

find_package (GObjectIntrospection REQUIRED)

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.gir"
    DEPENDS "ayatana-appindicator-glib"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${INTROSPECTION_SCANNER}
    ayatana-appindicator.c ayatana-appindicator.h
    --add-include-path=${CMAKE_CURRENT_BINARY_DIR}
    --c-include=libayatana-appindicator-glib/ayatana-appindicator.h
    --symbol-prefix=app
    --identifier-prefix=App
    --namespace=AyatanaAppIndicatorGlib
    --nsversion=2.0
    --quiet
    --warn-all
    --include=Gio-2.0
    --include=GObject-2.0
    --library-path=${CMAKE_CURRENT_BINARY_DIR}
    --library="ayatana-appindicator-glib"
    --output "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.gir"
)

install (FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.gir" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gir-1.0")

# AyatanaAppIndicatorGlib-2.0.typelib

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.typelib"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.gir"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${INTROSPECTION_COMPILER}
    --includedir=${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.gir
    -o "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.typelib"
)

install (FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.typelib" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/girepository-1.0")

add_custom_target ("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.typelib")

=== tests/CMakeLists.txt ===
# test-libappindicator

add_executable ("test-libappindicator" "${CMAKE_CURRENT_SOURCE_DIR}/test-libappindicator.c")
target_compile_definitions ("test-libappindicator" PUBLIC SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories ("test-libappindicator" PUBLIC ${DEPS_INCLUDE_DIRS})
target_include_directories ("test-libappindicator" PUBLIC "${CMAKE_SOURCE_DIR}/src")
target_link_libraries ("test-libappindicator" ${DEPS_LIBRARIES} ayatana-appindicator-glib)
target_link_directories ("test-libappindicator" PUBLIC "${CMAKE_BINARY_DIR}/src")
add_dependencies ("test-libappindicator" "ayatana-appindicator-glib")

# test-libappindicator-dbus-client

add_executable ("test-libappindicator-dbus-client" "${CMAKE_CURRENT_SOURCE_DIR}/test-libappindicator-dbus-client.c")
target_include_directories ("test-libappindicator-dbus-client" PUBLIC ${DEPS_INCLUDE_DIRS})
target_include_directories ("test-libappindicator-dbus-client" PUBLIC "${CMAKE_SOURCE_DIR}/src")
target_link_libraries ("test-libappindicator-dbus-client" ${DEPS_LIBRARIES} ayatana-appindicator-glib)
target_link_directories ("test-libappindicator-dbus-client" PUBLIC "${CMAKE_BINARY_DIR}/src")
add_dependencies ("test-libappindicator-dbus-client" "ayatana-appindicator-glib")

# test-libappindicator-dbus-server

add_executable ("test-libappindicator-dbus-server" "${CMAKE_CURRENT_SOURCE_DIR}/test-libappindicator-dbus-server.c")
target_include_directories ("test-libappindicator-dbus-server" PUBLIC ${DEPS_INCLUDE_DIRS})
target_include_directories ("test-libappindicator-dbus-server" PUBLIC "${CMAKE_SOURCE_DIR}/src")
target_link_libraries ("test-libappindicator-dbus-server" ${DEPS_LIBRARIES} ayatana-appindicator-glib)
target_link_directories ("test-libappindicator-dbus-server" PUBLIC "${CMAKE_BINARY_DIR}/src")
add_dependencies ("test-libappindicator-dbus-server" "ayatana-appindicator-glib")

# test-libappindicator-status-client

add_executable ("test-libappindicator-status-client" "${CMAKE_CURRENT_SOURCE_DIR}/test-libappindicator-status-client.c")
target_include_directories ("test-libappindicator-status-client" PUBLIC ${DEPS_INCLUDE_DIRS})
target_link_libraries ("test-libappindicator-status-client" ${DEPS_LIBRARIES} ayatana-appindicator-glib)
target_link_directories ("test-libappindicator-status-client" PUBLIC "${CMAKE_BINARY_DIR}/src")
add_dependencies ("test-libappindicator-status-client" "ayatana-appindicator-glib")

# test-libappindicator-status-server

add_executable ("test-libappindicator-status-server" "${CMAKE_CURRENT_SOURCE_DIR}/test-libappindicator-status-server.c")
target_include_directories ("test-libappindicator-status-server" PUBLIC ${DEPS_INCLUDE_DIRS})
target_include_directories ("test-libappindicator-status-server" PUBLIC "${CMAKE_SOURCE_DIR}/src")
target_link_libraries ("test-libappindicator-status-server" ${DEPS_LIBRARIES} ayatana-appindicator-glib)
target_link_directories ("test-libappindicator-status-server" PUBLIC "${CMAKE_BINARY_DIR}/src")
add_dependencies ("test-libappindicator-status-server" "ayatana-appindicator-glib")

# test-simple-app

add_executable ("test-simple-app" "${CMAKE_CURRENT_SOURCE_DIR}/test-simple-app.c")
target_include_directories ("test-simple-app" PUBLIC ${DEPS_INCLUDE_DIRS})
target_include_directories ("test-simple-app" PUBLIC "${CMAKE_SOURCE_DIR}/src")
target_link_libraries ("test-simple-app" ${DEPS_LIBRARIES} ayatana-appindicator-glib)
target_link_directories ("test-simple-app" PUBLIC "${CMAKE_BINARY_DIR}/src")
add_dependencies ("test-simple-app" "ayatana-appindicator-glib")

find_program (DBUS_TEST_RUNNER dbus-test-runner)

# test-libappindicator-dbus

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus-client"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus-server"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus"
    COMMAND
    echo "export DISPLAY=" >> "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus"
    COMMAND
    echo ". ${CMAKE_CURRENT_SOURCE_DIR}/run-xvfb.sh" >> "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --keep-env -m 300 --dbus-config /usr/share/dbus-test-runner/session.conf --task ${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus-client --task-name Client --ignore-return --task ${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus-server --task-name Server" >> "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-dbus"
)

add_test ("test-libappindicator-dbus" "test-libappindicator-dbus")

# test-libappindicator-status

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status-client"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status-server"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status"
    COMMAND
    echo "export DISPLAY=" >> "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status"
    COMMAND
    echo ". ${CMAKE_CURRENT_SOURCE_DIR}/run-xvfb.sh" >> "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --keep-env -m 300 --dbus-config /usr/share/dbus-test-runner/session.conf --task ${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status-client --task-name Client --ignore-return --task ${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status-server --task-name Server" >> "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator-status"
)

add_test ("test-libappindicator-status" "test-libappindicator-status")

# libappindicator-tests-gtester

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests-gtester"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests-gtester"
    COMMAND
    echo "gtester -k --verbose -o=${CMAKE_CURRENT_BINARY_DIR}/libappindicator-check-results.xml ${CMAKE_CURRENT_BINARY_DIR}/test-libappindicator" >> "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests-gtester"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests-gtester"
)

# libappindicator-tests

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests-gtester"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests"
    COMMAND
    echo "export DISPLAY=" >> "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests"
    COMMAND
    echo ". ${CMAKE_CURRENT_SOURCE_DIR}/run-xvfb.sh" >> "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --keep-env -m 300 --dbus-config /usr/share/dbus-test-runner/session.conf --task ${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests-gtester" >> "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/libappindicator-tests"
)

add_test ("libappindicator-tests" "libappindicator-tests")

add_custom_target ("tests" ALL DEPENDS "test-libappindicator-dbus" "test-libappindicator-status" "libappindicator-tests")

=== bindings/vala/CMakeLists.txt ===
# ayatana-appindicator-glib.deps

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator-glib.deps" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")

# ayatana-appindicator-glib.vapi

find_package (Vala REQUIRED)

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-glib.vapi"
    DEPENDS "src" "${CMAKE_BINARY_DIR}/src/AyatanaAppIndicatorGlib-2.0.typelib"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${VAPI_GEN}
    --library=ayatana-appindicator-glib
    --pkg gio-2.0
    --pkg gobject-2.0
    --girdir="${CMAKE_SOURCE_DIR}/src"
    --metadatadir "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_BINARY_DIR}/src/AyatanaAppIndicatorGlib-2.0.gir"
    "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator-custom.vala"
)

install (FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-glib.vapi" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")

add_custom_target ("bindings-vala" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-glib.vapi")

=== debian/changelog ===
libayatana-appindicator-glib (2.0.0~git20250307.66f8279-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Apr 2025 15:39:52 +0200

libayatana-appindicator-glib (2.0.0~git20250307.66f8279-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1100170).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Mar 2025 16:47:36 +0100

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=2.0.0~git%cd.%h" \
https://github.com/AyatanaIndicators/libayatana-appindicator-glib \
HEAD

## libayatana-appindicator-glib 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (libayatana-appindicator-glib VERSION 2.0.0 LANGUAGES C)
+project (libayatana-appindicator-glib VERSION 2.0.1 LANGUAGES C)
 
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== bindings/CMakeLists.txt ===
add_subdirectory (vala)

=== doc/CMakeLists.txt ===
# libayatana-appindicator-docs.sgml

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/AyatanaAppIndicatorGlib-2.0.toml.in" "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0.toml" @ONLY)

find_program (GI-DOCGEN gi-docgen)

add_custom_command (
    OUTPUT "gi-docgen"
    DEPENDS "src"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${GI-DOCGEN}
    generate
    --quiet
    --config="AyatanaAppIndicatorGlib-2.0.toml"
    "${CMAKE_BINARY_DIR}/src/AyatanaAppIndicatorGlib-2.0.gir"
)

set_source_files_properties ("gi-docgen" PROPERTIES SYMBOLIC True)
install (DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/AyatanaAppIndicatorGlib-2.0" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/doc/libayatana-appindicator-glib-dev")

add_custom_target ("doc" ALL DEPENDS "gi-docgen")

=== examples/CMakeLists.txt ===
# simple-client

add_executable ("simple-client" "${CMAKE_CURRENT_SOURCE_DIR}/simple-client.c")
target_compile_definitions ("simple-client" PUBLIC LOCAL_ICON="${CMAKE_CURRENT_SOURCE_DIR}/simple-client-test-icon.png")
target_include_directories ("simple-client" PUBLIC ${DEPS_INCLUDE_DIRS})
target_include_directories ("simple-client" PUBLIC "${CMAKE_SOURCE_DIR}/src")
target_link_libraries ("simple-client" ${DEPS_LIBRARIES} ayatana-appindicator-glib)
add_dependencies ("simple-client" "ayatana-appindicator-glib")

# simple-client-vala.c

add_custom_command (
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c"
    DEPENDS "bindings-vala"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${VALA_COMPILER}
    --pkg ayatana-appindicator-glib
    --pkg gio-2.0
    --vapidir=${CMAKE_BINARY_DIR}/bindings/vala
    -C simple-client-vala.vala
    --directory=${CMAKE_CURRENT_BINARY_DIR}
    VERBATIM
    COMMAND
    sed
    -i "s|#include\\s*<\\s*libayatana-appindicator-glib/ayatana-appindicator.h\\s*>||g"
    "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c"
)

# simple-client-vala

set_source_files_properties ("${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c" PROPERTIES COMPILE_FLAGS " -include ${CMAKE_SOURCE_DIR}/src/ayatana-appindicator.h -Wno-unknown-warning-option -Wno-discarded-qualifiers")
add_executable ("simple-client-vala" "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c")
target_include_directories ("simple-client-vala" PUBLIC ${DEPS_INCLUDE_DIRS})
target_link_libraries ("simple-client-vala" ${DEPS_LIBRARIES} ayatana-appindicator-glib)
add_dependencies ("simple-client-vala" "ayatana-appindicator-glib")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
     ayatana-appindicator.c
     ayatana-appindicator-enum-types.c
     application-service-marshal.c
+    notification-item.xml.c
+    notification-watcher.xml.c
 )
 
 install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-appindicator-glib")
@@ -11,6 +13,34 @@
 
 configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-appindicator-glib.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-glib.pc" @ONLY)
 install (FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-appindicator-glib.pc" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig")
+
+# notification-item.xml.h
+
+file (WRITE "${CMAKE_CURRENT_BINARY_DIR}/notification-item.xml.h" "extern const char * _notification_item;")
+
+# notification-item.xml.c
+
+file (READ "${CMAKE_CURRENT_SOURCE_DIR}/notification-item.xml" NOTIFICATION_ITEM_XML)
+string (REPLACE "\"" "\\\"" NOTIFICATION_ITEM_XML ${NOTIFICATION_ITEM_XML})
+string (REPLACE "\n" "\\n\"\n\"" NOTIFICATION_ITEM_XML ${NOTIFICATION_ITEM_XML})
+string (REGEX REPLACE "\n\"$" "\n" NOTIFICATION_ITEM_XML ${NOTIFICATION_ITEM_XML})
+string (PREPEND NOTIFICATION_ITEM_XML "const char * _notification_item = \n\"")
+string (APPEND NOTIFICATION_ITEM_XML "\;")
+file (WRITE "${CMAKE_CURRENT_BINARY_DIR}/notification-item.xml.c" ${NOTIFICATION_ITEM_XML})
+
+# notification-watcher.xml.h
+
+file (WRITE "${CMAKE_CURRENT_BINARY_DIR}/notification-watcher.xml.h" "extern const char * _notification_watcher;")
+
+# notification-watcher.xml.c
+
+file (READ "${CMAKE_CURRENT_SOURCE_DIR}/notification-watcher.xml" NOTIFICATION_WATCHER_XML)
+string (REPLACE "\"" "\\\"" NOTIFICATION_WATCHER_XML ${NOTIFICATION_WATCHER_XML})
+string (REPLACE "\n" "\\n\"\n\"" NOTIFICATION_WATCHER_XML ${NOTIFICATION_WATCHER_XML})
+string (REGEX REPLACE "\n\"$" "\n" NOTIFICATION_WATCHER_XML ${NOTIFICATION_WATCHER_XML})
+string (PREPEND NOTIFICATION_WATCHER_XML "const char * _notification_watcher = \n\"")
+string (APPEND NOTIFICATION_WATCHER_XML "\;")
+file (WRITE "${CMAKE_CURRENT_BINARY_DIR}/notification-watcher.xml.c" ${NOTIFICATION_WATCHER_XML})
 
 # ayatana-appindicator-enum-types.h
 
@@ -76,7 +106,7 @@
 
 add_library ("ayatana-appindicator-glib" SHARED ${SOURCES})
 set_target_properties ("ayatana-appindicator-glib" PROPERTIES VERSION 2.0.0 SOVERSION 2)
-target_compile_definitions ("ayatana-appindicator-glib" PUBLIC G_LOG_DOMAIN="libayatana-appindicator-glib" SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")
+target_compile_definitions ("ayatana-appindicator-glib" PUBLIC G_LOG_DOMAIN="libayatana-appindicator-glib")
 target_include_directories ("ayatana-appindicator-glib" PUBLIC ${DEPS_INCLUDE_DIRS})
 target_include_directories ("ayatana-appindicator-glib" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
 target_include_directories ("ayatana-appindicator-glib" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
libayatana-appindicator-glib (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start packaging official upstream release, not Git snapshots anymore.
  * debian/upstream/signing-key.asc:
    + Add file.
  * debian/libayatana-appindicator-glib2.symbols:
    + Update file.
  * debian/copyright:
    + Update FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Jun 2025 12:56:03 +0200

=== debian/control ===
Source: libayatana-appindicator-glib
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               cmake-extras,
               gi-docgen,
               gobject-introspection,
               dbus-test-runner,
               xvfb,
               valac,
               libglib2.0-dev (>= 2.35.4),
               procps,
               libgirepository1.0-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator-glib
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator-glib.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator-glib/

Package: libayatana-appindicator-glib2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (Glib-2.0-only reimplementation)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications.

Package: libayatana-appindicator-glib-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-ayatanaappindicatorglib-2.0 (= ${binary:Version}),
         libayatana-appindicator-glib2 (= ${binary:Version}),
         libglib2.0-dev (>= 2.35.4),
Provides: ${gir:Provides},
Description: Ayatana Application Indicators (header files, Glib-2.0-only reimplementation)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.

Package: libayatana-appindicator-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Ayatana Application Indicators (Glib-2.0-only reimplementation, doc files)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation.

Package: gir1.2-ayatanaappindicatorglib-2.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator-glib2
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

NULL =

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DENABLE_TESTS=ON \
	        $(NULL)

override_dh_auto_test:
	mkdir -p $(CURDIR)/debian/tmphome/.local/share
	mkdir -p $(CURDIR)/debian/tmphome/.cache
	export HOME=$(CURDIR)/debian/tmphome \
	    && export XDG_DATA_HOME=$(CURDIR)/debian/tmphome/.local/share \
	    && export XDG_CACHE_HOME=$(CURDIR)/debian/tmphome/.cache \
	    && unset DBUS_SESSION_BUS_ADDRESS \
	    && dh_auto_test --no-parallel
	rm -Rf $(CURDIR)/debian/tmphome

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/libayatana-appindicator-glib/libayatana-appindicator-glib-(.+)\.tar\.gz
